/**
 * 多语言类型
 */
export const enum LanguageType {
  ZH = 'zh',
  EN = 'en',
}

/**
 * 协议类型
 */
export const enum ProtocolType {
  ModbusRTU = 'ModbusRTU',
  ModbusTCP = 'ModbusTCP',
  S7 = 'S7',
}

/**
 * 协议配置方式
 */
export const enum ProtocolConfigMethod {
  ImportFromTemplate,
  ManuallyCreate,
}

/**
 * 字典编码
 */
export const enum DictCode {
  AllProtocolType = 'all_protocol_type',
  ModbusProtocolType = 'modbus_protocol_type',
  S7ProtocolType = 's7_protocol_type',
  ProtocolTemplateFileName = 'protocol_template_file_name',
  BaudRate = 'baud_rate',
  ReadWriteType = 'read_write_type',
  WriteFuncCode = 'write_func_code',
  ReadFuncCode = 'read_func_code',
  ByteOrder = 'byte_order',
  AddrOrder = 'addr_order',
  ParsingType = 'parsing_type',
  IsHighFreqParam = 'is_high_freq_param',
  RegisterType = 'register_type',
  WordLength = 'word_length',
  ReadContinuousAddr = 'read_continuous_addr',
}

/**
 * 符合文件格式的内容类型（接口请求响应）
 */
export const fileContentTypeRegExp =
  /^(application\/(octet-stream|pdf|zip|x-tar|msword|vnd.openxmlformats-officedocument\.wordprocessingml\.document|vnd.ms-excel|vnd.openxmlformats-officedocument\.spreadsheetml\.sheet)|image\/|audio\/|video\/)/;
