import { createRouter, createWebHistory } from 'vue-router';

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      redirect: '/first-usage',
    },
    {
      path: '/first-usage',
      name: 'firstUsage',
      component: () => import('@/views/first-usage/FirstUsage.vue'),
    },
    {
      path: '/create-customer',
      name: 'createCustomer',
      component: () => import('@/views/create-customer/CreateCustomer.vue'),
    },
    {
      path: '/setup-protocol',
      name: 'setupProtocol',
      component: () => import('@/views/setup-protocol/SetupProtocol.vue'),
    },
    {
      path: '/register-gateway',
      name: 'registerGateway',
      component: () => import('@/views/register-gateway/RegisterGateway.vue'),
    },
    {
      path: '/create-device',
      name: 'createDevice',
      component: () => import('@/views/create-device/CreateDevice.vue'),
    },
  ],
});

export default router;
